Skip to content

Instantly share code, notes, and snippets.

@p0deje

p0deje/java-version.log

Last active Oct 1, 2017
Embed
What would you like to do?
Building JRuby on JDK 9
$ java -version
java version "9"
Java(TM) SE Runtime Environment (build 9+181)
Java HotSpot(TM) 64-Bit Server VM (build 9+181, mixed mode)
$ ./mvnw -Pcomplete
[INFO] Scanning for projects...
WARNING: An illegal reflective access operation has occurred
WARNING: Illegal reflective access by org.jruby.util.io.FilenoUtil (file:/Users/p0deje/.m2/repository/org/jruby/jruby-core/9.0.5.0/jruby-core-9.0.5.0.jar) to method sun.nio.ch.SelChImpl.getFD()
WARNING: Please consider reporting this to the maintainers of org.jruby.util.io.FilenoUtil
WARNING: Use --illegal-access=warn to enable warnings of further illegal reflective access operations
WARNING: All illegal access operations will be denied in a future release
Downloading: http://rubygems-proxy.torquebox.org/releases/com/github/jnr/jffi/maven-metadata.xml
Downloading: https://repository.sonatype.org/content/groups/sonatype-public-grid/com/github/jnr/jffi/maven-metadata.xml
Downloading: https://oss.sonatype.org/content/repositories/snapshots/com/github/jnr/jffi/maven-metadata.xml
Downloading: https://oss.sonatype.org/content/repositories/snapshots/com/github/jnr/jffi/maven-metadata.xml
Downloaded: https://oss.sonatype.org/content/repositories/snapshots/com/github/jnr/jffi/maven-metadata.xml (441 B at 0.4 KB/sec)
Downloaded: https://oss.sonatype.org/content/repositories/snapshots/com/github/jnr/jffi/maven-metadata.xml (441 B at 0.4 KB/sec)
Downloaded: https://repository.sonatype.org/content/groups/sonatype-public-grid/com/github/jnr/jffi/maven-metadata.xml (920 B at 0.8 KB/sec)
Downloading: https://oss.sonatype.org/content/repositories/snapshots/com/github/jnr/jffi/1.2.16-SNAPSHOT/maven-metadata.xml
Downloading: https://repository.sonatype.org/content/groups/sonatype-public-grid/com/github/jnr/jffi/1.2.16-SNAPSHOT/maven-metadata.xml
Downloading: http://rubygems-proxy.torquebox.org/releases/com/github/jnr/jffi/1.2.16-SNAPSHOT/maven-metadata.xml
Downloading: https://oss.sonatype.org/content/repositories/snapshots/com/github/jnr/jffi/1.2.16-SNAPSHOT/maven-metadata.xml
Downloaded: https://oss.sonatype.org/content/repositories/snapshots/com/github/jnr/jffi/1.2.16-SNAPSHOT/maven-metadata.xml (2 KB at 3.9 KB/sec)
Downloaded: https://oss.sonatype.org/content/repositories/snapshots/com/github/jnr/jffi/1.2.16-SNAPSHOT/maven-metadata.xml (2 KB at 3.9 KB/sec)
Downloading: https://oss.sonatype.org/content/repositories/snapshots/com/github/jnr/jffi/1.3.0-SNAPSHOT/maven-metadata.xml
Downloading: http://rubygems-proxy.torquebox.org/releases/com/github/jnr/jffi/1.3.0-SNAPSHOT/maven-metadata.xml
Downloading: https://oss.sonatype.org/content/repositories/snapshots/com/github/jnr/jffi/1.3.0-SNAPSHOT/maven-metadata.xml
Downloading: https://repository.sonatype.org/content/groups/sonatype-public-grid/com/github/jnr/jffi/1.3.0-SNAPSHOT/maven-metadata.xml
Downloaded: https://oss.sonatype.org/content/repositories/snapshots/com/github/jnr/jffi/1.3.0-SNAPSHOT/maven-metadata.xml (981 B at 3.3 KB/sec)
Downloaded: https://oss.sonatype.org/content/repositories/snapshots/com/github/jnr/jffi/1.3.0-SNAPSHOT/maven-metadata.xml (981 B at 3.3 KB/sec)
Downloading: https://oss.sonatype.org/content/repositories/snapshots/com/github/jnr/jnr-x86asm/maven-metadata.xml
Downloading: http://rubygems-proxy.torquebox.org/releases/com/github/jnr/jnr-x86asm/maven-metadata.xml
Downloading: https://oss.sonatype.org/content/repositories/snapshots/com/github/jnr/jnr-x86asm/maven-metadata.xml
Downloading: https://repository.sonatype.org/content/groups/sonatype-public-grid/com/github/jnr/jnr-x86asm/maven-metadata.xml
Downloaded: https://repository.sonatype.org/content/groups/sonatype-public-grid/com/github/jnr/jnr-x86asm/maven-metadata.xml (389 B at 0.5 KB/sec)
[INFO] ------------------------------------------------------------------------
[INFO] Reactor Build Order:
[INFO]
[INFO] JRuby
[INFO] JRuby Core
[INFO] JRuby Lib Setup
[INFO] JRuby Artifacts
[INFO] JRuby Complete
[INFO]
[INFO] ------------------------------------------------------------------------
[INFO] Building JRuby 9.2.0.0-SNAPSHOT
[INFO] ------------------------------------------------------------------------
[INFO]
[INFO] --- maven-enforcer-plugin:1.0:enforce (default) @ jruby-parent ---
[INFO]
[INFO] --- maven-enforcer-plugin:1.0:enforce (enforce-maven) @ jruby-parent ---
[INFO]
[INFO] --- maven-install-plugin:2.4:install (default-install) @ jruby-parent ---
[INFO] Installing /Users/p0deje/Desktop/jruby/.polyglot.pom.rb to /Users/p0deje/.m2/repository/org/jruby/jruby-parent/9.2.0.0-SNAPSHOT/jruby-parent-9.2.0.0-SNAPSHOT.pom
[INFO]
[INFO] ------------------------------------------------------------------------
[INFO] Building JRuby Core 9.2.0.0-SNAPSHOT
[INFO] ------------------------------------------------------------------------
[INFO]
[INFO] --- maven-enforcer-plugin:1.0:enforce (default) @ jruby-core ---
[INFO]
[INFO] --- maven-enforcer-plugin:1.0:enforce (enforce-maven) @ jruby-core ---
[INFO]
[INFO] --- exec-maven-plugin:1.2.1:exec (default) @ jruby-core ---
[INFO]
[INFO] --- buildnumber-maven-plugin:1.2:create (jruby-revision) @ jruby-core ---
[INFO] Checking for local modifications: skipped.
[INFO] Updating project files from SCM: skipped.
[INFO] ShortRevision tag detected. The value is '7'.
[INFO] Executing: /bin/sh -c cd /Users/p0deje/Desktop/jruby/core && git rev-parse --verify --short=7 HEAD
[INFO] Working directory: /Users/p0deje/Desktop/jruby/core
[INFO] Storing buildNumber: c911af4 at timestamp: 1506841289817
[INFO] ShortRevision tag detected. The value is '7'.
[INFO] Executing: /bin/sh -c cd /Users/p0deje/Desktop/jruby/core && git rev-parse --verify --short=7 HEAD
[INFO] Working directory: /Users/p0deje/Desktop/jruby/core
[INFO] Storing buildScmBranch: UNKNOWN
[INFO]
[INFO] --- maven-resources-plugin:2.6:resources (default-resources) @ jruby-core ---
[INFO] Using 'utf-8' encoding to copy filtered resources.
[INFO] Copying 44 resources
[INFO] Copying 2 resources
[INFO] Copying 1 resource to /Users/p0deje/Desktop/jruby/core/src/main/java
[INFO] Copying 4 resources to /Users/p0deje/Desktop/jruby/core/target/classes/META-INF/
[INFO]
[INFO] --- maven-compiler-plugin:3.3:compile (anno) @ jruby-core ---
[INFO] Compiling 7 source files to /Users/p0deje/Desktop/jruby/core/target/classes
[WARNING] /Users/p0deje/Desktop/jruby/core/src/main/java/org/jruby/anno/JRubyMethod.java:[82,48] [deprecation] BOTH in CompatVersion has been deprecated
[INFO]
[INFO] --- maven-compiler-plugin:3.3:compile (default-compile) @ jruby-core ---
[INFO] Compiling 1363 source files to /Users/p0deje/Desktop/jruby/core/target/classes
[WARNING] last round: true
/Users/p0deje/Desktop/jruby/core/src/main/java/org/jruby/Ruby.java:[141,24] [deprecation] org.jruby.runtime.profile in org.jruby.runtime has been deprecated
[WARNING] /Users/p0deje/Desktop/jruby/core/src/main/java/org/jruby/Ruby.java:[141,24] [deprecation] org.jruby.runtime.profile in org.jruby.runtime has been deprecated
[WARNING] /Users/p0deje/Desktop/jruby/core/src/main/java/org/jruby/Ruby.java:[142,24] [deprecation] org.jruby.runtime.profile in org.jruby.runtime has been deprecated
[WARNING] /Users/p0deje/Desktop/jruby/core/src/main/java/org/jruby/Ruby.java:[142,24] [deprecation] org.jruby.runtime.profile in org.jruby.runtime has been deprecated
[WARNING] /Users/p0deje/Desktop/jruby/core/src/main/java/org/jruby/Ruby.java:[143,24] [deprecation] org.jruby.runtime.profile in org.jruby.runtime has been deprecated
[WARNING] /Users/p0deje/Desktop/jruby/core/src/main/java/org/jruby/Ruby.java:[143,24] [deprecation] org.jruby.runtime.profile in org.jruby.runtime has been deprecated
[WARNING] /Users/p0deje/Desktop/jruby/core/src/main/java/org/jruby/Ruby.java:[144,24] [deprecation] org.jruby.runtime.profile in org.jruby.runtime has been deprecated
[WARNING] /Users/p0deje/Desktop/jruby/core/src/main/java/org/jruby/Ruby.java:[144,32] [deprecation] org.jruby.runtime.profile.builtin in org.jruby.runtime.profile has been deprecated
[WARNING] /Users/p0deje/Desktop/jruby/core/src/main/java/org/jruby/Ruby.java:[144,24] [deprecation] org.jruby.runtime.profile in org.jruby.runtime has been deprecated
[WARNING] /Users/p0deje/Desktop/jruby/core/src/main/java/org/jruby/Ruby.java:[144,32] [deprecation] org.jruby.runtime.profile.builtin in org.jruby.runtime.profile has been deprecated
[WARNING] /Users/p0deje/Desktop/jruby/core/src/main/java/org/jruby/runtime/ThreadContext.java:[61,24] [deprecation] org.jruby.runtime.profile in org.jruby.runtime has been deprecated
[WARNING] /Users/p0deje/Desktop/jruby/core/src/main/java/org/jruby/runtime/ThreadContext.java:[61,24] [deprecation] org.jruby.runtime.profile in org.jruby.runtime has been deprecated
[WARNING] /Users/p0deje/Desktop/jruby/core/src/main/java/org/jruby/RubyModule.java:[110,24] [deprecation] org.jruby.runtime.profile in org.jruby.runtime has been deprecated
[WARNING] /Users/p0deje/Desktop/jruby/core/src/main/java/org/jruby/RubyModule.java:[110,24] [deprecation] org.jruby.runtime.profile in org.jruby.runtime has been deprecated
[WARNING] /Users/p0deje/Desktop/jruby/core/src/main/java/org/jruby/RubyInstanceConfig.java:[37,24] [deprecation] org.jruby.runtime.profile in org.jruby.runtime has been deprecated
[WARNING] /Users/p0deje/Desktop/jruby/core/src/main/java/org/jruby/RubyInstanceConfig.java:[37,32] [deprecation] org.jruby.runtime.profile.builtin in org.jruby.runtime.profile has been deprecated
[WARNING] /Users/p0deje/Desktop/jruby/core/src/main/java/org/jruby/RubyInstanceConfig.java:[37,24] [deprecation] org.jruby.runtime.profile in org.jruby.runtime has been deprecated
[WARNING] /Users/p0deje/Desktop/jruby/core/src/main/java/org/jruby/RubyInstanceConfig.java:[37,32] [deprecation] org.jruby.runtime.profile.builtin in org.jruby.runtime.profile has been deprecated
[WARNING] /Users/p0deje/Desktop/jruby/core/src/main/java/org/jruby/embed/ScriptingContainer.java:[68,24] [deprecation] org.jruby.runtime.profile in org.jruby.runtime has been deprecated
[WARNING] /Users/p0deje/Desktop/jruby/core/src/main/java/org/jruby/embed/ScriptingContainer.java:[68,32] [deprecation] org.jruby.runtime.profile.builtin in org.jruby.runtime.profile has been deprecated
[WARNING] /Users/p0deje/Desktop/jruby/core/src/main/java/org/jruby/embed/ScriptingContainer.java:[68,24] [deprecation] org.jruby.runtime.profile in org.jruby.runtime has been deprecated
[WARNING] /Users/p0deje/Desktop/jruby/core/src/main/java/org/jruby/embed/ScriptingContainer.java:[68,32] [deprecation] org.jruby.runtime.profile.builtin in org.jruby.runtime.profile has been deprecated
[WARNING] /Users/p0deje/Desktop/jruby/core/src/main/java/org/jruby/util/cli/ArgumentProcessor.java:[33,24] [deprecation] org.jruby.runtime.profile in org.jruby.runtime has been deprecated
[WARNING] /Users/p0deje/Desktop/jruby/core/src/main/java/org/jruby/util/cli/ArgumentProcessor.java:[33,32] [deprecation] org.jruby.runtime.profile.builtin in org.jruby.runtime.profile has been deprecated
[WARNING] /Users/p0deje/Desktop/jruby/core/src/main/java/org/jruby/util/cli/ArgumentProcessor.java:[33,24] [deprecation] org.jruby.runtime.profile in org.jruby.runtime has been deprecated
[WARNING] /Users/p0deje/Desktop/jruby/core/src/main/java/org/jruby/util/cli/ArgumentProcessor.java:[33,32] [deprecation] org.jruby.runtime.profile.builtin in org.jruby.runtime.profile has been deprecated
[WARNING] /Users/p0deje/Desktop/jruby/core/src/main/java/org/jruby/Ruby.java:[141,24] [deprecation] org.jruby.runtime.profile in org.jruby.runtime has been deprecated
[WARNING] /Users/p0deje/Desktop/jruby/core/src/main/java/org/jruby/Ruby.java:[141,24] [deprecation] org.jruby.runtime.profile in org.jruby.runtime has been deprecated
[WARNING] /Users/p0deje/Desktop/jruby/core/src/main/java/org/jruby/Ruby.java:[142,24] [deprecation] org.jruby.runtime.profile in org.jruby.runtime has been deprecated
[WARNING] /Users/p0deje/Desktop/jruby/core/src/main/java/org/jruby/Ruby.java:[142,24] [deprecation] org.jruby.runtime.profile in org.jruby.runtime has been deprecated
[WARNING] /Users/p0deje/Desktop/jruby/core/src/main/java/org/jruby/Ruby.java:[143,24] [deprecation] org.jruby.runtime.profile in org.jruby.runtime has been deprecated
[WARNING] /Users/p0deje/Desktop/jruby/core/src/main/java/org/jruby/Ruby.java:[143,24] [deprecation] org.jruby.runtime.profile in org.jruby.runtime has been deprecated
[WARNING] /Users/p0deje/Desktop/jruby/core/src/main/java/org/jruby/Ruby.java:[144,24] [deprecation] org.jruby.runtime.profile in org.jruby.runtime has been deprecated
[WARNING] /Users/p0deje/Desktop/jruby/core/src/main/java/org/jruby/Ruby.java:[144,32] [deprecation] org.jruby.runtime.profile.builtin in org.jruby.runtime.profile has been deprecated
[WARNING] /Users/p0deje/Desktop/jruby/core/src/main/java/org/jruby/Ruby.java:[144,24] [deprecation] org.jruby.runtime.profile in org.jruby.runtime has been deprecated
[WARNING] /Users/p0deje/Desktop/jruby/core/src/main/java/org/jruby/Ruby.java:[144,32] [deprecation] org.jruby.runtime.profile.builtin in org.jruby.runtime.profile has been deprecated
[WARNING] /Users/p0deje/Desktop/jruby/core/src/main/java/org/jruby/runtime/ThreadContext.java:[61,24] [deprecation] org.jruby.runtime.profile in org.jruby.runtime has been deprecated
[WARNING] /Users/p0deje/Desktop/jruby/core/src/main/java/org/jruby/runtime/ThreadContext.java:[61,24] [deprecation] org.jruby.runtime.profile in org.jruby.runtime has been deprecated
[WARNING] /Users/p0deje/Desktop/jruby/core/src/main/java/org/jruby/RubyModule.java:[110,24] [deprecation] org.jruby.runtime.profile in org.jruby.runtime has been deprecated
[WARNING] /Users/p0deje/Desktop/jruby/core/src/main/java/org/jruby/RubyModule.java:[110,24] [deprecation] org.jruby.runtime.profile in org.jruby.runtime has been deprecated
[WARNING] /Users/p0deje/Desktop/jruby/core/src/main/java/org/jruby/RubyInstanceConfig.java:[37,24] [deprecation] org.jruby.runtime.profile in org.jruby.runtime has been deprecated
[WARNING] /Users/p0deje/Desktop/jruby/core/src/main/java/org/jruby/RubyInstanceConfig.java:[37,32] [deprecation] org.jruby.runtime.profile.builtin in org.jruby.runtime.profile has been deprecated
[WARNING] /Users/p0deje/Desktop/jruby/core/src/main/java/org/jruby/RubyInstanceConfig.java:[37,24] [deprecation] org.jruby.runtime.profile in org.jruby.runtime has been deprecated
[WARNING] /Users/p0deje/Desktop/jruby/core/src/main/java/org/jruby/RubyInstanceConfig.java:[37,32] [deprecation] org.jruby.runtime.profile.builtin in org.jruby.runtime.profile has been deprecated
[WARNING] /Users/p0deje/Desktop/jruby/core/src/main/java/org/jruby/embed/ScriptingContainer.java:[68,24] [deprecation] org.jruby.runtime.profile in org.jruby.runtime has been deprecated
[WARNING] /Users/p0deje/Desktop/jruby/core/src/main/java/org/jruby/embed/ScriptingContainer.java:[68,32] [deprecation] org.jruby.runtime.profile.builtin in org.jruby.runtime.profile has been deprecated
[WARNING] /Users/p0deje/Desktop/jruby/core/src/main/java/org/jruby/embed/ScriptingContainer.java:[68,24] [deprecation] org.jruby.runtime.profile in org.jruby.runtime has been deprecated
[WARNING] /Users/p0deje/Desktop/jruby/core/src/main/java/org/jruby/embed/ScriptingContainer.java:[68,32] [deprecation] org.jruby.runtime.profile.builtin in org.jruby.runtime.profile has been deprecated
[WARNING] /Users/p0deje/Desktop/jruby/core/src/main/java/org/jruby/util/cli/ArgumentProcessor.java:[33,24] [deprecation] org.jruby.runtime.profile in org.jruby.runtime has been deprecated
[WARNING] /Users/p0deje/Desktop/jruby/core/src/main/java/org/jruby/util/cli/ArgumentProcessor.java:[33,32] [deprecation] org.jruby.runtime.profile.builtin in org.jruby.runtime.profile has been deprecated
[WARNING] /Users/p0deje/Desktop/jruby/core/src/main/java/org/jruby/util/cli/ArgumentProcessor.java:[33,24] [deprecation] org.jruby.runtime.profile in org.jruby.runtime has been deprecated
[WARNING] /Users/p0deje/Desktop/jruby/core/src/main/java/org/jruby/util/cli/ArgumentProcessor.java:[33,32] [deprecation] org.jruby.runtime.profile.builtin in org.jruby.runtime.profile has been deprecated
[WARNING] /Users/p0deje/Desktop/jruby/core/src/main/java/org/jruby/runtime/profile/builtin/package-info.java:[8,33] [deprecation] @Deprecated annotation has no effect on this package declaration
[WARNING] /Users/p0deje/Desktop/jruby/core/src/main/java/org/jruby/runtime/profile/package-info.java:[72,25] [deprecation] @Deprecated annotation has no effect on this package declaration
[WARNING] /Users/p0deje/Desktop/jruby/core/src/main/java/org/jruby/Ruby.java:[694,73] [deprecation] getVariables() in StaticScope has been deprecated
[WARNING] /Users/p0deje/Desktop/jruby/core/src/main/java/org/jruby/Ruby.java:[714,20] [deprecation] GlobalAsgnNode(ISourcePosition,String,Node) in GlobalAsgnNode has been deprecated
[WARNING] /Users/p0deje/Desktop/jruby/core/src/main/java/org/jruby/Ruby.java:[716,75] [deprecation] GlobalVarNode(ISourcePosition,String) in GlobalVarNode has been deprecated
[WARNING] /Users/p0deje/Desktop/jruby/core/src/main/java/org/jruby/Ruby.java:[716,44] [deprecation] GlobalAsgnNode(ISourcePosition,String,Node) in GlobalAsgnNode has been deprecated
[WARNING] /Users/p0deje/Desktop/jruby/core/src/main/java/org/jruby/Ruby.java:[718,41] [deprecation] GlobalVarNode(ISourcePosition,String) in GlobalVarNode has been deprecated
[WARNING] /Users/p0deje/Desktop/jruby/core/src/main/java/org/jruby/Ruby.java:[721,39] [deprecation] VCallNode(ISourcePosition,String) in VCallNode has been deprecated
[WARNING] /Users/p0deje/Desktop/jruby/core/src/main/java/org/jruby/Ruby.java:[724,33] [deprecation] GlobalAsgnNode(ISourcePosition,String,Node) in GlobalAsgnNode has been deprecated
[WARNING] /Users/p0deje/Desktop/jruby/core/src/main/java/org/jruby/Ruby.java:[732,36] [deprecation] FCallNode(ISourcePosition,String,Node,Node) in FCallNode has been deprecated
[WARNING] /Users/p0deje/Desktop/jruby/core/src/main/java/org/jruby/javasupport/JavaEmbedUtils.java:[283,35] [deprecation] Double(double) in Double has been deprecated
[WARNING] /Users/p0deje/Desktop/jruby/core/src/main/java/org/jruby/javasupport/JavaEmbedUtils.java:[287,35] [deprecation] Float(float) in Float has been deprecated
[WARNING] /Users/p0deje/Desktop/jruby/core/src/main/java/org/jruby/RubyBasicObject.java:[1102,31] [deprecation] dataGetStructChecked() in IRubyObject has been deprecated
[WARNING] /Users/p0deje/Desktop/jruby/core/src/main/java/org/jruby/RubyBasicObject.java:[2013,20] [deprecation] finalize() in Object has been deprecated
[WARNING] /Users/p0deje/Desktop/jruby/core/src/main/java/org/jruby/RubyEnumerator.java:[582,19] [deprecation] finalize() in Object has been deprecated
[WARNING] /Users/p0deje/Desktop/jruby/core/src/main/java/org/jruby/RubyEnumerator.java:[590,17] [deprecation] finalize() in Object has been deprecated
[WARNING] /Users/p0deje/Desktop/jruby/core/src/main/java/org/jruby/runtime/Helpers.java:[1319,73] [deprecation] newLocalScope(StaticScope,String[]) in StaticScopeFactory has been deprecated
[WARNING] /Users/p0deje/Desktop/jruby/core/src/main/java/org/jruby/runtime/Helpers.java:[1619,32] [deprecation] getVariables() in StaticScope has been deprecated
[WARNING] /Users/p0deje/Desktop/jruby/core/src/main/java/org/jruby/runtime/Helpers.java:[1637,63] [deprecation] newBlockScope(StaticScope,String[]) in StaticScopeFactory has been deprecated
[WARNING] /Users/p0deje/Desktop/jruby/core/src/main/java/org/jruby/runtime/Helpers.java:[1640,63] [deprecation] newEvalScope(StaticScope,String[]) in StaticScopeFactory has been deprecated
[WARNING] /Users/p0deje/Desktop/jruby/core/src/main/java/org/jruby/runtime/Helpers.java:[1643,63] [deprecation] newLocalScope(StaticScope,String[]) in StaticScopeFactory has been deprecated
[WARNING] /Users/p0deje/Desktop/jruby/core/src/main/java/org/jruby/runtime/ThreadContext.java:[230,19] [deprecation] finalize() in Object has been deprecated
[WARNING] /Users/p0deje/Desktop/jruby/core/src/main/java/org/jruby/RubyModule.java:[1072,66] [deprecation] newInstance() in Class has been deprecated
[WARNING] where T is a type-variable:
T extends Object declared in class Class
/Users/p0deje/Desktop/jruby/core/src/main/java/org/jruby/RubyModule.java:[1821,46] [deprecation] WrapperMethod in org.jruby.internal.runtime.methods has been deprecated
[WARNING] /Users/p0deje/Desktop/jruby/core/src/main/java/org/jruby/RubyClass.java:[151,65] [deprecation] newInstance() in Class has been deprecated
[WARNING] /Users/p0deje/Desktop/jruby/core/src/main/java/org/jruby/runtime/DynamicScope.java:[522,40] [deprecation] getVariables() in StaticScope has been deprecated
[WARNING] /Users/p0deje/Desktop/jruby/core/src/main/java/org/jruby/ir/IRScope.java:[858,81] [deprecation] addVariable(String) in StaticScope has been deprecated
[WARNING] /Users/p0deje/Desktop/jruby/core/src/main/java/org/jruby/ast/visitor/AbstractNodeVisitor.java:[147,35] [deprecation] ClassVarDeclNode in org.jruby.ast has been deprecated
[WARNING] /Users/p0deje/Desktop/jruby/core/src/main/java/org/jruby/ast/visitor/AbstractNodeVisitor.java:[147,35] [deprecation] ClassVarDeclNode in org.jruby.ast has been deprecated
[WARNING] /Users/p0deje/Desktop/jruby/core/src/main/java/org/jruby/ast/visitor/AbstractNodeVisitor.java:[147,35] [deprecation] ClassVarDeclNode in org.jruby.ast has been deprecated
[WARNING] /Users/p0deje/Desktop/jruby/core/src/main/java/org/jruby/ast/visitor/NodeVisitor.java:[61,28] [deprecation] ClassVarDeclNode in org.jruby.ast has been deprecated
[WARNING] /Users/p0deje/Desktop/jruby/core/src/main/java/org/jruby/ast/visitor/NodeVisitor.java:[61,28] [deprecation] ClassVarDeclNode in org.jruby.ast has been deprecated
[WARNING] /Users/p0deje/Desktop/jruby/core/src/main/java/org/jruby/ast/visitor/NodeVisitor.java:[61,28] [deprecation] ClassVarDeclNode in org.jruby.ast has been deprecated
[WARNING] /Users/p0deje/Desktop/jruby/core/src/main/java/org/jruby/ast/Colon3Node.java:[92,33] [deprecation] stringAsByteList(String) in StringSupport has been deprecated
[WARNING] /Users/p0deje/Desktop/jruby/core/src/main/java/org/jruby/ast/RestArgNode.java:[40,8] [deprecation] ArgumentNode(ISourcePosition,String,int) in ArgumentNode has been deprecated
[WARNING] /Users/p0deje/Desktop/jruby/core/src/main/java/org/jruby/ir/IRClosure.java:[247,83] [deprecation] addVariableThisScope(String) in StaticScope has been deprecated
[WARNING] /Users/p0deje/Desktop/jruby/core/src/main/java/org/jruby/ir/instructions/BuildCompoundArrayInstr.java:[61,35] [deprecation] argsPush(ThreadContext,RubyArray,IRubyObject) in Helpers has been deprecated
[WARNING] /Users/p0deje/Desktop/jruby/core/src/main/java/org/jruby/ir/operands/UndefinedValue.java:[317,18] [deprecation] dataGetStructChecked() in IRubyObject has been deprecated
[WARNING] /Users/p0deje/Desktop/jruby/core/src/main/java/org/jruby/ir/operands/UndefinedValue.java:[254,23] [deprecation] checkStringType19() in IRubyObject has been deprecated
[WARNING] /Users/p0deje/Desktop/jruby/core/src/main/java/org/jruby/runtime/load/LoadService.java:[591,63] [deprecation] newInstance() in Class has been deprecated
[WARNING] /Users/p0deje/Desktop/jruby/core/src/main/java/org/jruby/util/io/OpenFile.java:[841,16] [deprecation] finalize() in Object has been deprecated
[WARNING] /Users/p0deje/Desktop/jruby/core/src/main/java/org/jruby/ext/fiber/ThreadFiber.java:[325,19] [deprecation] finalize() in Object has been deprecated
[WARNING] /Users/p0deje/Desktop/jruby/core/src/main/java/org/jruby/ext/fiber/ThreadFiber.java:[347,17] [deprecation] finalize() in Object has been deprecated
[WARNING] /Users/p0deje/Desktop/jruby/core/src/main/java/org/jruby/javasupport/proxy/JavaProxyClassFactory.java:[116,39] [deprecation] newInstance() in Class has been deprecated
[WARNING] /Users/p0deje/Desktop/jruby/core/src/main/java/org/jruby/javasupport/proxy/JavaProxyClassFactory.java:[759,35] [deprecation] getPackage(String) in Package has been deprecated
[WARNING] /Users/p0deje/Desktop/jruby/core/src/main/java/org/jruby/RubyBinding.java:[144,96] [deprecation] isDefined(String) in StaticScope has been deprecated
[WARNING] /Users/p0deje/Desktop/jruby/core/src/main/java/org/jruby/RubyBinding.java:[151,45] [deprecation] isDefined(String) in StaticScope has been deprecated
[INFO]
[INFO] --- build-helper-maven-plugin:1.8:add-source (add-populators) @ jruby-core ---
[INFO] Source directory: /Users/p0deje/Desktop/jruby/core/target/generated-sources added.
[INFO]
[INFO] --- exec-maven-plugin:1.2.1:exec (invoker-generator) @ jruby-core ---
[INFO]
[INFO] --- maven-compiler-plugin:3.3:compile (populators) @ jruby-core ---
[INFO] Compiling 224 source files to /Users/p0deje/Desktop/jruby/core/target/classes
[INFO]
[INFO] --- maven-compiler-plugin:3.3:compile (eclipse-hack) @ jruby-core ---
[INFO] Not compiling main sources
[INFO]
[INFO] --- maven-dependency-plugin:2.8:unpack (default) @ jruby-core ---
[WARNING] The POM for org.apache.maven.wagon:wagon-provider-api:jar:1.0-alpha-6 is invalid, transitive dependencies (if any) will not be available, enable debug logging for more details
[INFO] Configured Artifact: com.github.jnr:jffi:native:1.2.16:jar
[INFO] Unpacking /Users/p0deje/.m2/repository/com/github/jnr/jffi/1.2.16/jffi-1.2.16-native.jar to /Users/p0deje/Desktop/jruby/core/../lib with includes "" and excludes "META-INF,META-INF/*"
[INFO]
[INFO] --- maven-resources-plugin:2.6:testResources (default-testResources) @ jruby-core ---
[INFO] Not copying test resources
[INFO]
[INFO] --- maven-compiler-plugin:3.3:testCompile (default-testCompile) @ jruby-core ---
[INFO] Not compiling test sources
[INFO]
[INFO] --- maven-surefire-plugin:2.15:test (default-test) @ jruby-core ---
[INFO] Tests are skipped.
[INFO]
[INFO] --- maven-jar-plugin:3.0.0:jar (default-jar) @ jruby-core ---
[INFO] Building jar: /Users/p0deje/Desktop/jruby/core/target/jruby-core-9.2.0.0-SNAPSHOT.jar
[INFO]
[INFO] --- maven-shade-plugin:2.4.3:shade (create lib/jruby.jar) @ jruby-core ---
[INFO] Including org.ow2.asm:asm:jar:5.0.4 in the shaded jar.
[INFO] Including org.ow2.asm:asm-commons:jar:5.0.4 in the shaded jar.
[INFO] Including org.ow2.asm:asm-tree:jar:5.0.4 in the shaded jar.
[INFO] Including org.ow2.asm:asm-analysis:jar:5.0.4 in the shaded jar.
[INFO] Including org.ow2.asm:asm-util:jar:5.0.4 in the shaded jar.
[INFO] Including com.github.jnr:jnr-netdb:jar:1.1.6 in the shaded jar.
[INFO] Including com.github.jnr:jnr-enxio:jar:0.16 in the shaded jar.
[INFO] Including com.github.jnr:jnr-x86asm:jar:1.0.2 in the shaded jar.
[INFO] Including com.github.jnr:jnr-unixsocket:jar:0.17 in the shaded jar.
[INFO] Including com.github.jnr:jnr-posix:jar:3.0.41 in the shaded jar.
[INFO] Including com.github.jnr:jnr-constants:jar:0.9.9 in the shaded jar.
[INFO] Including com.github.jnr:jnr-ffi:jar:2.1.6 in the shaded jar.
[INFO] Including com.github.jnr:jffi:jar:1.2.16 in the shaded jar.
[INFO] Including com.github.jnr:jffi:jar:native:1.2.16 in the shaded jar.
[INFO] Including org.jruby.joni:joni:jar:2.1.12 in the shaded jar.
[INFO] Including org.jruby.extras:bytelist:jar:1.0.15 in the shaded jar.
[INFO] Including org.jruby.jcodings:jcodings:jar:1.0.26 in the shaded jar.
[INFO] Including org.jruby:dirgra:jar:0.3 in the shaded jar.
[INFO] Including com.headius:invokebinder:jar:1.9 in the shaded jar.
[INFO] Including com.headius:options:jar:1.4 in the shaded jar.
[INFO] Including com.headius:unsafe-fences:jar:1.0 in the shaded jar.
[INFO] Including com.jcraft:jzlib:jar:1.1.3 in the shaded jar.
[INFO] Including com.martiansoftware:nailgun-server:jar:0.9.1 in the shaded jar.
[INFO] Including joda-time:joda-time:jar:2.8.2 in the shaded jar.
[INFO] Including me.qmx.jitescript:jitescript:jar:0.4.1 in the shaded jar.
[INFO]
[INFO] --- maven-shade-plugin:2.4.3:shade (shade the asm classes) @ jruby-core ---
[INFO] Including org.ow2.asm:asm:jar:5.0.4 in the shaded jar.
[INFO] Including org.ow2.asm:asm-commons:jar:5.0.4 in the shaded jar.
[INFO] Including org.ow2.asm:asm-tree:jar:5.0.4 in the shaded jar.
[INFO] Including org.ow2.asm:asm-analysis:jar:5.0.4 in the shaded jar.
[INFO] Including org.ow2.asm:asm-util:jar:5.0.4 in the shaded jar.
[INFO] Excluding com.github.jnr:jnr-netdb:jar:1.1.6 from the shaded jar.
[INFO] Excluding com.github.jnr:jnr-enxio:jar:0.16 from the shaded jar.
[INFO] Excluding com.github.jnr:jnr-x86asm:jar:1.0.2 from the shaded jar.
[INFO] Excluding com.github.jnr:jnr-unixsocket:jar:0.17 from the shaded jar.
[INFO] Excluding com.github.jnr:jnr-posix:jar:3.0.41 from the shaded jar.
[INFO] Excluding com.github.jnr:jnr-constants:jar:0.9.9 from the shaded jar.
[INFO] Including com.github.jnr:jnr-ffi:jar:2.1.6 in the shaded jar.
[INFO] Excluding com.github.jnr:jffi:jar:1.2.16 from the shaded jar.
[INFO] Excluding com.github.jnr:jffi:jar:native:1.2.16 from the shaded jar.
[INFO] Excluding org.jruby.joni:joni:jar:2.1.12 from the shaded jar.
[INFO] Excluding org.jruby.extras:bytelist:jar:1.0.15 from the shaded jar.
[INFO] Excluding org.jruby.jcodings:jcodings:jar:1.0.26 from the shaded jar.
[INFO] Excluding org.jruby:dirgra:jar:0.3 from the shaded jar.
[INFO] Excluding com.headius:invokebinder:jar:1.9 from the shaded jar.
[INFO] Excluding com.headius:options:jar:1.4 from the shaded jar.
[INFO] Excluding com.headius:unsafe-fences:jar:1.0 from the shaded jar.
[INFO] Excluding com.jcraft:jzlib:jar:1.1.3 from the shaded jar.
[INFO] Excluding com.martiansoftware:nailgun-server:jar:0.9.1 from the shaded jar.
[INFO] Excluding joda-time:joda-time:jar:2.8.2 from the shaded jar.
[INFO] Including me.qmx.jitescript:jitescript:jar:0.4.1 in the shaded jar.
[INFO] Replacing original artifact with shaded artifact.
[INFO] Replacing /Users/p0deje/Desktop/jruby/core/target/jruby-core-9.2.0.0-SNAPSHOT.jar with /Users/p0deje/Desktop/jruby/core/target/jruby-core-9.2.0.0-SNAPSHOT-shaded.jar
[INFO] Dependency-reduced POM written at: /Users/p0deje/Desktop/jruby/core/dependency-reduced-pom.xml
[INFO] Dependency-reduced POM written at: /Users/p0deje/Desktop/jruby/core/dependency-reduced-pom.xml
[INFO]
[INFO] --- maven-install-plugin:2.4:install (default-install) @ jruby-core ---
[INFO] Installing /Users/p0deje/Desktop/jruby/core/target/jruby-core-9.2.0.0-SNAPSHOT.jar to /Users/p0deje/.m2/repository/org/jruby/jruby-core/9.2.0.0-SNAPSHOT/jruby-core-9.2.0.0-SNAPSHOT.jar
[INFO] Installing /Users/p0deje/Desktop/jruby/core/dependency-reduced-pom.xml to /Users/p0deje/.m2/repository/org/jruby/jruby-core/9.2.0.0-SNAPSHOT/jruby-core-9.2.0.0-SNAPSHOT.pom
[INFO]
[INFO] ------------------------------------------------------------------------
[INFO] Building JRuby Lib Setup 9.2.0.0-SNAPSHOT
[INFO] ------------------------------------------------------------------------
Downloading: mavengem:https://rubygems.org/rubygems/jruby-openssl/0.9.21/jruby-openssl-0.9.21.pom
OpenSSL::X509::StoreError: setting default path failed: No password supplied for PKCS#12 KeyStore.
set_default_paths at org/jruby/ext/openssl/X509Store.java:165
SSLContext at uri:classloader:/META-INF/jruby.home/lib/ruby/shared/jopenssl19/openssl/ssl-internal.rb:31
SSL at uri:classloader:/META-INF/jruby.home/lib/ruby/shared/jopenssl19/openssl/ssl-internal.rb:22
OpenSSL at uri:classloader:/META-INF/jruby.home/lib/ruby/shared/jopenssl19/openssl/ssl-internal.rb:21
(root) at uri:classloader:/META-INF/jruby.home/lib/ruby/shared/jopenssl19/openssl/ssl-internal.rb:20
load at org/jruby/RubyKernel.java:1087
(root) at uri:classloader:/META-INF/jruby.home/lib/ruby/shared/openssl/ssl-internal.rb:1
require at org/jruby/RubyKernel.java:1071
require at uri:classloader:/META-INF/jruby.home/lib/ruby/shared/rubygems/core_ext/kernel_require.rb:55
require at uri:classloader:/META-INF/jruby.home/lib/ruby/shared/rubygems/core_ext/kernel_require.rb:53
(root) at uri:classloader:/META-INF/jruby.home/lib/ruby/shared/openssl/ssl-internal.rb:4
load at org/jruby/RubyKernel.java:1087
(root) at uri:classloader:/META-INF/jruby.home/lib/ruby/shared/jopenssl19/openssl.rb:1
require at org/jruby/RubyKernel.java:1071
require at uri:classloader:/META-INF/jruby.home/lib/ruby/shared/rubygems/core_ext/kernel_require.rb:55
require at uri:classloader:/META-INF/jruby.home/lib/ruby/shared/rubygems/core_ext/kernel_require.rb:53
(root) at uri:classloader:/META-INF/jruby.home/lib/ruby/shared/jopenssl19/openssl.rb:21
require at org/jruby/RubyKernel.java:1071
require at uri:classloader:/META-INF/jruby.home/lib/ruby/shared/rubygems/core_ext/kernel_require.rb:55
require at uri:classloader:/META-INF/jruby.home/lib/ruby/shared/rubygems/core_ext/kernel_require.rb:53
(root) at uri:classloader:/META-INF/jruby.home/lib/ruby/shared/jopenssl/load.rb:1
require at org/jruby/RubyKernel.java:1071
require at uri:classloader:/META-INF/jruby.home/lib/ruby/shared/rubygems/core_ext/kernel_require.rb:55
require at uri:classloader:/META-INF/jruby.home/lib/ruby/shared/rubygems/core_ext/kernel_require.rb:53
(root) at uri:classloader:/META-INF/jruby.home/lib/ruby/shared/jopenssl/load.rb:24
require at org/jruby/RubyKernel.java:1071
require at uri:classloader:/META-INF/jruby.home/lib/ruby/shared/rubygems/core_ext/kernel_require.rb:55
require at uri:classloader:/META-INF/jruby.home/lib/ruby/shared/rubygems/core_ext/kernel_require.rb:53
(root) at uri:classloader:/META-INF/jruby.home/lib/ruby/shared/openssl.rb:1
require at org/jruby/RubyKernel.java:1071
require at uri:classloader:/META-INF/jruby.home/lib/ruby/shared/rubygems/core_ext/kernel_require.rb:55
require at uri:classloader:/META-INF/jruby.home/lib/ruby/shared/rubygems/core_ext/kernel_require.rb:53
(root) at uri:classloader:/META-INF/jruby.home/lib/ruby/shared/openssl.rb:1
require at org/jruby/RubyKernel.java:1071
require at uri:classloader:/META-INF/jruby.home/lib/ruby/shared/rubygems/core_ext/kernel_require.rb:55
require at uri:classloader:/META-INF/jruby.home/lib/ruby/shared/rubygems/core_ext/kernel_require.rb:53
(root) at uri:classloader:/META-INF/jruby.home/lib/ruby/shared/rubygems/security.rb:1
require at org/jruby/RubyKernel.java:1071
require at uri:classloader:/META-INF/jruby.home/lib/ruby/shared/rubygems/core_ext/kernel_require.rb:55
require at uri:classloader:/META-INF/jruby.home/lib/ruby/shared/rubygems/core_ext/kernel_require.rb:53
(root) at uri:classloader:/META-INF/jruby.home/lib/ruby/shared/rubygems/security.rb:11
[INFO] ------------------------------------------------------------------------
[INFO] Reactor Summary:
[INFO]
[INFO] JRuby .............................................. SUCCESS [ 0.457 s]
[INFO] JRuby Core ......................................... SUCCESS [ 51.863 s]
[INFO] JRuby Lib Setup .................................... FAILURE [ 5.591 s]
[INFO] JRuby Artifacts .................................... SKIPPED
[INFO] JRuby Complete ..................................... SKIPPED
[INFO] ------------------------------------------------------------------------
[INFO] BUILD FAILURE
[INFO] ------------------------------------------------------------------------
[INFO] Total time: 01:08 min
[INFO] Finished at: 2017-10-01T09:02:26+02:00
[INFO] Final Memory: 62M/209M
[INFO] ------------------------------------------------------------------------
---------------------------------------------------
constituent[0]: file:/Users/p0deje/.m2/wrapper/dists/apache-maven-3.3.9-bin/2609u9g41na2l7ogackmif6fj2/apache-maven-3.3.9/lib/aether-api-1.0.2.v20150114.jar
constituent[1]: file:/Users/p0deje/.m2/wrapper/dists/apache-maven-3.3.9-bin/2609u9g41na2l7ogackmif6fj2/apache-maven-3.3.9/lib/aether-connector-basic-1.0.2.v20150114.jar
constituent[2]: file:/Users/p0deje/.m2/wrapper/dists/apache-maven-3.3.9-bin/2609u9g41na2l7ogackmif6fj2/apache-maven-3.3.9/lib/aether-impl-1.0.2.v20150114.jar
constituent[3]: file:/Users/p0deje/.m2/wrapper/dists/apache-maven-3.3.9-bin/2609u9g41na2l7ogackmif6fj2/apache-maven-3.3.9/lib/aether-spi-1.0.2.v20150114.jar
constituent[4]: file:/Users/p0deje/.m2/wrapper/dists/apache-maven-3.3.9-bin/2609u9g41na2l7ogackmif6fj2/apache-maven-3.3.9/lib/aether-transport-wagon-1.0.2.v20150114.jar
constituent[5]: file:/Users/p0deje/.m2/wrapper/dists/apache-maven-3.3.9-bin/2609u9g41na2l7ogackmif6fj2/apache-maven-3.3.9/lib/aether-util-1.0.2.v20150114.jar
constituent[6]: file:/Users/p0deje/.m2/wrapper/dists/apache-maven-3.3.9-bin/2609u9g41na2l7ogackmif6fj2/apache-maven-3.3.9/lib/aopalliance-1.0.jar
constituent[7]: file:/Users/p0deje/.m2/wrapper/dists/apache-maven-3.3.9-bin/2609u9g41na2l7ogackmif6fj2/apache-maven-3.3.9/lib/cdi-api-1.0.jar
constituent[8]: file:/Users/p0deje/.m2/wrapper/dists/apache-maven-3.3.9-bin/2609u9g41na2l7ogackmif6fj2/apache-maven-3.3.9/lib/commons-cli-1.2.jar
constituent[9]: file:/Users/p0deje/.m2/wrapper/dists/apache-maven-3.3.9-bin/2609u9g41na2l7ogackmif6fj2/apache-maven-3.3.9/lib/commons-io-2.2.jar
constituent[10]: file:/Users/p0deje/.m2/wrapper/dists/apache-maven-3.3.9-bin/2609u9g41na2l7ogackmif6fj2/apache-maven-3.3.9/lib/commons-lang-2.6.jar
constituent[11]: file:/Users/p0deje/.m2/wrapper/dists/apache-maven-3.3.9-bin/2609u9g41na2l7ogackmif6fj2/apache-maven-3.3.9/lib/commons-lang3-3.4.jar
constituent[12]: file:/Users/p0deje/.m2/wrapper/dists/apache-maven-3.3.9-bin/2609u9g41na2l7ogackmif6fj2/apache-maven-3.3.9/lib/guava-18.0.jar
constituent[13]: file:/Users/p0deje/.m2/wrapper/dists/apache-maven-3.3.9-bin/2609u9g41na2l7ogackmif6fj2/apache-maven-3.3.9/lib/guice-4.0-no_aop.jar
constituent[14]: file:/Users/p0deje/.m2/wrapper/dists/apache-maven-3.3.9-bin/2609u9g41na2l7ogackmif6fj2/apache-maven-3.3.9/lib/javax.inject-1.jar
constituent[15]: file:/Users/p0deje/.m2/wrapper/dists/apache-maven-3.3.9-bin/2609u9g41na2l7ogackmif6fj2/apache-maven-3.3.9/lib/jsoup-1.7.2.jar
constituent[16]: file:/Users/p0deje/.m2/wrapper/dists/apache-maven-3.3.9-bin/2609u9g41na2l7ogackmif6fj2/apache-maven-3.3.9/lib/jsr250-api-1.0.jar
constituent[17]: file:/Users/p0deje/.m2/wrapper/dists/apache-maven-3.3.9-bin/2609u9g41na2l7ogackmif6fj2/apache-maven-3.3.9/lib/maven-aether-provider-3.3.9.jar
constituent[18]: file:/Users/p0deje/.m2/wrapper/dists/apache-maven-3.3.9-bin/2609u9g41na2l7ogackmif6fj2/apache-maven-3.3.9/lib/maven-artifact-3.3.9.jar
constituent[19]: file:/Users/p0deje/.m2/wrapper/dists/apache-maven-3.3.9-bin/2609u9g41na2l7ogackmif6fj2/apache-maven-3.3.9/lib/maven-builder-support-3.3.9.jar
constituent[20]: file:/Users/p0deje/.m2/wrapper/dists/apache-maven-3.3.9-bin/2609u9g41na2l7ogackmif6fj2/apache-maven-3.3.9/lib/maven-compat-3.3.9.jar
constituent[21]: file:/Users/p0deje/.m2/wrapper/dists/apache-maven-3.3.9-bin/2609u9g41na2l7ogackmif6fj2/apache-maven-3.3.9/lib/maven-core-3.3.9.jar
constituent[22]: file:/Users/p0deje/.m2/wrapper/dists/apache-maven-3.3.9-bin/2609u9g41na2l7ogackmif6fj2/apache-maven-3.3.9/lib/maven-embedder-3.3.9.jar
constituent[23]: file:/Users/p0deje/.m2/wrapper/dists/apache-maven-3.3.9-bin/2609u9g41na2l7ogackmif6fj2/apache-maven-3.3.9/lib/maven-model-3.3.9.jar
constituent[24]: file:/Users/p0deje/.m2/wrapper/dists/apache-maven-3.3.9-bin/2609u9g41na2l7ogackmif6fj2/apache-maven-3.3.9/lib/maven-model-builder-3.3.9.jar
constituent[25]: file:/Users/p0deje/.m2/wrapper/dists/apache-maven-3.3.9-bin/2609u9g41na2l7ogackmif6fj2/apache-maven-3.3.9/lib/maven-plugin-api-3.3.9.jar
constituent[26]: file:/Users/p0deje/.m2/wrapper/dists/apache-maven-3.3.9-bin/2609u9g41na2l7ogackmif6fj2/apache-maven-3.3.9/lib/maven-repository-metadata-3.3.9.jar
constituent[27]: file:/Users/p0deje/.m2/wrapper/dists/apache-maven-3.3.9-bin/2609u9g41na2l7ogackmif6fj2/apache-maven-3.3.9/lib/maven-settings-3.3.9.jar
constituent[28]: file:/Users/p0deje/.m2/wrapper/dists/apache-maven-3.3.9-bin/2609u9g41na2l7ogackmif6fj2/apache-maven-3.3.9/lib/maven-settings-builder-3.3.9.jar
constituent[29]: file:/Users/p0deje/.m2/wrapper/dists/apache-maven-3.3.9-bin/2609u9g41na2l7ogackmif6fj2/apache-maven-3.3.9/lib/org.eclipse.sisu.inject-0.3.2.jar
constituent[30]: file:/Users/p0deje/.m2/wrapper/dists/apache-maven-3.3.9-bin/2609u9g41na2l7ogackmif6fj2/apache-maven-3.3.9/lib/org.eclipse.sisu.plexus-0.3.2.jar
constituent[31]: file:/Users/p0deje/.m2/wrapper/dists/apache-maven-3.3.9-bin/2609u9g41na2l7ogackmif6fj2/apache-maven-3.3.9/lib/plexus-cipher-1.7.jar
constituent[32]: file:/Users/p0deje/.m2/wrapper/dists/apache-maven-3.3.9-bin/2609u9g41na2l7ogackmif6fj2/apache-maven-3.3.9/lib/plexus-component-annotations-1.6.jar
constituent[33]: file:/Users/p0deje/.m2/wrapper/dists/apache-maven-3.3.9-bin/2609u9g41na2l7ogackmif6fj2/apache-maven-3.3.9/lib/plexus-interpolation-1.21.jar
constituent[34]: file:/Users/p0deje/.m2/wrapper/dists/apache-maven-3.3.9-bin/2609u9g41na2l7ogackmif6fj2/apache-maven-3.3.9/lib/plexus-sec-dispatcher-1.3.jar
constituent[35]: file:/Users/p0deje/.m2/wrapper/dists/apache-maven-3.3.9-bin/2609u9g41na2l7ogackmif6fj2/apache-maven-3.3.9/lib/plexus-utils-3.0.22.jar
constituent[36]: file:/Users/p0deje/.m2/wrapper/dists/apache-maven-3.3.9-bin/2609u9g41na2l7ogackmif6fj2/apache-maven-3.3.9/lib/slf4j-api-1.7.5.jar
constituent[37]: file:/Users/p0deje/.m2/wrapper/dists/apache-maven-3.3.9-bin/2609u9g41na2l7ogackmif6fj2/apache-maven-3.3.9/lib/slf4j-simple-1.7.5.jar
constituent[38]: file:/Users/p0deje/.m2/wrapper/dists/apache-maven-3.3.9-bin/2609u9g41na2l7ogackmif6fj2/apache-maven-3.3.9/lib/wagon-file-2.10.jar
constituent[39]: file:/Users/p0deje/.m2/wrapper/dists/apache-maven-3.3.9-bin/2609u9g41na2l7ogackmif6fj2/apache-maven-3.3.9/lib/wagon-http-2.10-shaded.jar
constituent[40]: file:/Users/p0deje/.m2/wrapper/dists/apache-maven-3.3.9-bin/2609u9g41na2l7ogackmif6fj2/apache-maven-3.3.9/lib/wagon-http-shared-2.10.jar
constituent[41]: file:/Users/p0deje/.m2/wrapper/dists/apache-maven-3.3.9-bin/2609u9g41na2l7ogackmif6fj2/apache-maven-3.3.9/lib/wagon-provider-api-2.10.jar
constituent[42]: file:/Users/p0deje/.m2/wrapper/dists/apache-maven-3.3.9-bin/2609u9g41na2l7ogackmif6fj2/apache-maven-3.3.9/conf/logging/
---------------------------------------------------
Exception in thread "main" java.lang.reflect.InvocationTargetException
at java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
at java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:62)
at java.base/jdk.internal.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)
at java.base/java.lang.reflect.Method.invoke(Method.java:564)
at org.apache.maven.wrapper.BootstrapMainStarter.start(BootstrapMainStarter.java:39)
at org.apache.maven.wrapper.WrapperExecutor.execute(WrapperExecutor.java:122)
at org.apache.maven.wrapper.MavenWrapperMain.main(MavenWrapperMain.java:50)
Caused by: java.lang.ExceptionInInitializerError
at org.torquebox.mojo.mavengem.wagon.MavenGemWagon.rubygemsFactory(MavenGemWagon.java:88)
at org.torquebox.mojo.mavengem.wagon.MavenGemWagon.newConnection(MavenGemWagon.java:102)
at org.torquebox.mojo.mavengem.wagon.MavenGemWagon.fillInputData(MavenGemWagon.java:64)
at org.apache.maven.wagon.StreamWagon.getInputStream(StreamWagon.java:116)
at org.apache.maven.wagon.StreamWagon.getIfNewer(StreamWagon.java:88)
at org.apache.maven.wagon.StreamWagon.get(StreamWagon.java:61)
at org.eclipse.aether.transport.wagon.WagonTransporter$GetTaskRunner.run(WagonTransporter.java:560)
at org.eclipse.aether.transport.wagon.WagonTransporter.execute(WagonTransporter.java:427)
at org.eclipse.aether.transport.wagon.WagonTransporter.get(WagonTransporter.java:404)
at org.eclipse.aether.connector.basic.BasicRepositoryConnector$GetTaskRunner.runTask(BasicRepositoryConnector.java:447)
at org.eclipse.aether.connector.basic.BasicRepositoryConnector$TaskRunner.run(BasicRepositoryConnector.java:350)
at org.eclipse.aether.util.concurrency.RunnableErrorForwarder$1.run(RunnableErrorForwarder.java:67)
at org.eclipse.aether.connector.basic.BasicRepositoryConnector$DirectExecutor.execute(BasicRepositoryConnector.java:581)
at org.eclipse.aether.connector.basic.BasicRepositoryConnector.get(BasicRepositoryConnector.java:249)
at org.eclipse.aether.internal.impl.DefaultArtifactResolver.performDownloads(DefaultArtifactResolver.java:520)
at org.eclipse.aether.internal.impl.DefaultArtifactResolver.resolve(DefaultArtifactResolver.java:421)
at org.eclipse.aether.internal.impl.DefaultArtifactResolver.resolveArtifacts(DefaultArtifactResolver.java:246)
at org.eclipse.aether.internal.impl.DefaultArtifactResolver.resolveArtifact(DefaultArtifactResolver.java:223)
at org.apache.maven.repository.internal.DefaultArtifactDescriptorReader.loadPom(DefaultArtifactDescriptorReader.java:267)
at org.apache.maven.repository.internal.DefaultArtifactDescriptorReader.readArtifactDescriptor(DefaultArtifactDescriptorReader.java:198)
at org.eclipse.aether.internal.impl.DefaultDependencyCollector.resolveCachedArtifactDescriptor(DefaultDependencyCollector.java:535)
at org.eclipse.aether.internal.impl.DefaultDependencyCollector.getArtifactDescriptorResult(DefaultDependencyCollector.java:519)
at org.eclipse.aether.internal.impl.DefaultDependencyCollector.processDependency(DefaultDependencyCollector.java:409)
at org.eclipse.aether.internal.impl.DefaultDependencyCollector.processDependency(DefaultDependencyCollector.java:363)
at org.eclipse.aether.internal.impl.DefaultDependencyCollector.process(DefaultDependencyCollector.java:351)
at org.eclipse.aether.internal.impl.DefaultDependencyCollector.collectDependencies(DefaultDependencyCollector.java:254)
at org.eclipse.aether.internal.impl.DefaultRepositorySystem.collectDependencies(DefaultRepositorySystem.java:316)
at org.apache.maven.project.DefaultProjectDependenciesResolver.resolve(DefaultProjectDependenciesResolver.java:172)
at org.apache.maven.lifecycle.internal.LifecycleDependencyResolver.getDependencies(LifecycleDependencyResolver.java:195)
at org.apache.maven.lifecycle.internal.LifecycleDependencyResolver.resolveProjectDependencies(LifecycleDependencyResolver.java:127)
at org.apache.maven.lifecycle.internal.MojoExecutor.ensureDependenciesAreResolved(MojoExecutor.java:245)
at org.apache.maven.lifecycle.internal.MojoExecutor.execute(MojoExecutor.java:199)
at org.apache.maven.lifecycle.internal.MojoExecutor.execute(MojoExecutor.java:153)
at org.apache.maven.lifecycle.internal.MojoExecutor.execute(MojoExecutor.java:145)
at org.apache.maven.lifecycle.internal.LifecycleModuleBuilder.buildProject(LifecycleModuleBuilder.java:116)
at org.apache.maven.lifecycle.internal.LifecycleModuleBuilder.buildProject(LifecycleModuleBuilder.java:80)
at org.apache.maven.lifecycle.internal.builder.singlethreaded.SingleThreadedBuilder.build(SingleThreadedBuilder.java:51)
at org.apache.maven.lifecycle.internal.LifecycleStarter.execute(LifecycleStarter.java:128)
at org.apache.maven.DefaultMaven.doExecute(DefaultMaven.java:307)
at org.apache.maven.DefaultMaven.doExecute(DefaultMaven.java:193)
at org.apache.maven.DefaultMaven.execute(DefaultMaven.java:106)
at org.apache.maven.cli.MavenCli.execute(MavenCli.java:863)
at org.apache.maven.cli.MavenCli.doMain(MavenCli.java:288)
at org.apache.maven.cli.MavenCli.main(MavenCli.java:199)
at java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
at java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:62)
at java.base/jdk.internal.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)
at java.base/java.lang.reflect.Method.invoke(Method.java:564)
at org.codehaus.plexus.classworlds.launcher.Launcher.launchEnhanced(Launcher.java:289)
at org.codehaus.plexus.classworlds.launcher.Launcher.launch(Launcher.java:229)
at org.codehaus.plexus.classworlds.launcher.Launcher.mainWithExitCode(Launcher.java:415)
at org.codehaus.plexus.classworlds.launcher.Launcher.main(Launcher.java:356)
... 7 more
Caused by: org.jruby.embed.EvalFailedException: (OpenSSL::X509::StoreError) setting default path failed: No password supplied for PKCS#12 KeyStore.
at org.jruby.embed.internal.EmbedEvalUnitImpl.run(EmbedEvalUnitImpl.java:133)
at org.jruby.embed.ScriptingContainer.runUnit(ScriptingContainer.java:1340)
at org.jruby.embed.ScriptingContainer.runScriptlet(ScriptingContainer.java:1333)
at org.sonatype.nexus.ruby.DefaultRubygemsGateway.<init>(DefaultRubygemsGateway.java:43)
at org.torquebox.mojo.mavengem.RubygemsFactory.<clinit>(RubygemsFactory.java:27)
... 59 more
Caused by: org.jruby.exceptions.RaiseException: (OpenSSL::X509::StoreError) setting default path failed: No password supplied for PKCS#12 KeyStore.
at org.jruby.ext.openssl.X509Store.set_default_paths(org/jruby/ext/openssl/X509Store.java:165)
at RUBY.SSLContext(uri:classloader:/META-INF/jruby.home/lib/ruby/shared/jopenssl19/openssl/ssl-internal.rb:31)
at RUBY.SSL(uri:classloader:/META-INF/jruby.home/lib/ruby/shared/jopenssl19/openssl/ssl-internal.rb:22)
at RUBY.OpenSSL(uri:classloader:/META-INF/jruby.home/lib/ruby/shared/jopenssl19/openssl/ssl-internal.rb:21)
at RUBY.(root)(uri:classloader:/META-INF/jruby.home/lib/ruby/shared/jopenssl19/openssl/ssl-internal.rb:20)
at org.jruby.RubyKernel.load(org/jruby/RubyKernel.java:1087)
at RUBY.(root)(uri:classloader:/META-INF/jruby.home/lib/ruby/shared/openssl/ssl-internal.rb:1)
at org.jruby.RubyKernel.require(org/jruby/RubyKernel.java:1071)
at Kernel.require(uri:classloader:/META-INF/jruby.home/lib/ruby/shared/rubygems/core_ext/kernel_require.rb:55)
at Kernel.require(uri:classloader:/META-INF/jruby.home/lib/ruby/shared/rubygems/core_ext/kernel_require.rb:53)
at RUBY.(root)(uri:classloader:/META-INF/jruby.home/lib/ruby/shared/openssl/ssl-internal.rb:4)
at org.jruby.RubyKernel.load(org/jruby/RubyKernel.java:1087)
at RUBY.(root)(uri:classloader:/META-INF/jruby.home/lib/ruby/shared/jopenssl19/openssl.rb:1)
at org.jruby.RubyKernel.require(org/jruby/RubyKernel.java:1071)
at Kernel.require(uri:classloader:/META-INF/jruby.home/lib/ruby/shared/rubygems/core_ext/kernel_require.rb:55)
at Kernel.require(uri:classloader:/META-INF/jruby.home/lib/ruby/shared/rubygems/core_ext/kernel_require.rb:53)
at RUBY.(root)(uri:classloader:/META-INF/jruby.home/lib/ruby/shared/jopenssl19/openssl.rb:21)
at org.jruby.RubyKernel.require(org/jruby/RubyKernel.java:1071)
at Kernel.require(uri:classloader:/META-INF/jruby.home/lib/ruby/shared/rubygems/core_ext/kernel_require.rb:55)
at Kernel.require(uri:classloader:/META-INF/jruby.home/lib/ruby/shared/rubygems/core_ext/kernel_require.rb:53)
at RUBY.(root)(uri:classloader:/META-INF/jruby.home/lib/ruby/shared/jopenssl/load.rb:1)
at org.jruby.RubyKernel.require(org/jruby/RubyKernel.java:1071)
at Kernel.require(uri:classloader:/META-INF/jruby.home/lib/ruby/shared/rubygems/core_ext/kernel_require.rb:55)
at Kernel.require(uri:classloader:/META-INF/jruby.home/lib/ruby/shared/rubygems/core_ext/kernel_require.rb:53)
at RUBY.(root)(uri:classloader:/META-INF/jruby.home/lib/ruby/shared/jopenssl/load.rb:24)
at org.jruby.RubyKernel.require(org/jruby/RubyKernel.java:1071)
at Kernel.require(uri:classloader:/META-INF/jruby.home/lib/ruby/shared/rubygems/core_ext/kernel_require.rb:55)
at Kernel.require(uri:classloader:/META-INF/jruby.home/lib/ruby/shared/rubygems/core_ext/kernel_require.rb:53)
at RUBY.(root)(uri:classloader:/META-INF/jruby.home/lib/ruby/shared/openssl.rb:1)
at org.jruby.RubyKernel.require(org/jruby/RubyKernel.java:1071)
at Kernel.require(uri:classloader:/META-INF/jruby.home/lib/ruby/shared/rubygems/core_ext/kernel_require.rb:55)
at Kernel.require(uri:classloader:/META-INF/jruby.home/lib/ruby/shared/rubygems/core_ext/kernel_require.rb:53)
at RUBY.(root)(uri:classloader:/META-INF/jruby.home/lib/ruby/shared/openssl.rb:1)
at org.jruby.RubyKernel.require(org/jruby/RubyKernel.java:1071)
at Kernel.require(uri:classloader:/META-INF/jruby.home/lib/ruby/shared/rubygems/core_ext/kernel_require.rb:55)
at Kernel.require(uri:classloader:/META-INF/jruby.home/lib/ruby/shared/rubygems/core_ext/kernel_require.rb:53)
at RUBY.(root)(uri:classloader:/META-INF/jruby.home/lib/ruby/shared/rubygems/security.rb:1)
at org.jruby.RubyKernel.require(org/jruby/RubyKernel.java:1071)
at Kernel.require(uri:classloader:/META-INF/jruby.home/lib/ruby/shared/rubygems/core_ext/kernel_require.rb:55)
at Kernel.require(uri:classloader:/META-INF/jruby.home/lib/ruby/shared/rubygems/core_ext/kernel_require.rb:53)
at RUBY.(root)(uri:classloader:/META-INF/jruby.home/lib/ruby/shared/rubygems/security.rb:11)
Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment
You can’t perform that action at this time.